Create a brand

POST
/brands

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer API token for access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a brand. Skips onboarding. The first entry in domains is treated as the brand's primary website; the rest are stored as additional domains.

id*string
name*string
domains*array<string>

Brand domains. The first entry is the primary website; remaining entries are additional domains.

aliases?array<string>
competitors?array<>
prompts?array<>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/brands" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "name": "string",    "domains": [      "string"    ]  }'
{  "id": "string",  "name": "string",  "domains": [    "string"  ],  "aliases": [    "string"  ],  "enabled": true,  "onboarded": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}